Page MenuHomePhabricator

Create production wiki: fixcopyright.wikimedia.org
Closed, ResolvedPublic

Description

Wiki for use for Wikimedia's campaign ahead the EU copyright vote in September, 2018.

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 25 2018, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 455368 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/dns@master] Add fixcopyright(\.m)?\.wikimedia\.org

https://gerrit.wikimedia.org/r/455368

Change 455369 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add fixcopyright.wikimedia.org

https://gerrit.wikimedia.org/r/455369

jhsoby added a subscriber: jhsoby.Aug 25 2018, 8:55 PM

Regarding the task description, is "Wikimedia's" more accurately "Wikimedia Foundation Inc.'s"?

Should this be a public wiki, private wiki or fishbowl wiki?

Urbanecm triaged this task as Low priority.Aug 26 2018, 12:19 PM
Urbanecm moved this task from Backlog to Analytics/Under discussion on the User-Urbanecm board.

Well looking at that puppet.git commit it's not going to be a private wiki

It will be a fishbowl wiki. Thanks!

Well looking at that puppet.git commit it's not going to be a private wiki

That depends on Reedy's knowledge about the wiki's desired status. As I don't know what Reedy knows, I asked :).

Urbanecm claimed this task.Aug 26 2018, 1:07 PM

Doing initial stuff.

Do you have a specific logo to use? SVG's preffered.

Change 455723 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for fixcopyrightwiki

https://gerrit.wikimedia.org/r/455723

CCicalese_WMF raised the priority of this task from Low to High.Aug 27 2018, 8:58 PM

The logo from https://policy.wikimedia.org/ would be good. Is that available in a form that you could use?

Do you mean https://commons.wikimedia.org/wiki/File:Wikimedia-logo_black.svg ? BTW, is there any reason for raising the priority?

Sure, that logo will work.

Regarding the priority, we do need this wiki live by the end of the week. I had been thinking of raising the priority earlier and clicked the dropdown. But, then I decided to wait to see how this was progressing. Phabricator, however, remembered that I had been fiddling with that dropdown when I last visited this page earlier, apparently . . .

Urbanecm added a subscriber: Reedy.Aug 27 2018, 9:54 PM

Patch amended. Priority) It is good to know you need the wiki very soon, didn't notice it is for September and it is the end of August. Unfortunately, I can only prepare prerequisites, I cannot create a wiki. Hope @Reedy will do it soon.

elukey added a subscriber: elukey.Aug 28 2018, 4:15 PM

Change 455368 merged by Dzahn:
[operations/dns@master] Add fixcopyright(\.m)?\.wikimedia\.org

https://gerrit.wikimedia.org/r/455368

chasemp added a subscriber: chasemp.

Well, I'm sure it have some reason which I don't understand yet. Why is this tagged with Security-Team?

Well, I'm sure it have some reason which I don't understand yet. Why is this tagged with Security-Team?

This is the team @Reedy and I are both in at the moment and the tag is so that we can track our efforts.

Urbanecm removed Urbanecm as the assignee of this task.Aug 28 2018, 10:58 PM
Dzahn added a subscriber: Dzahn.Aug 28 2018, 11:24 PM

Has been added to DNS now.

https://fixcopyright.wikimedia.org/
https://fixcopyright.m.wikimedia.org/

But the Apache change below isn't ready yet. As Luca points out on Gerrit the compiler says it's missing a template. Also this part of the Apache config has recently changed.. the "prod_sites.pp" is relatively new.

https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/455369/

Dzahn added a comment.Aug 29 2018, 1:19 AM

better now with PS2. and it compiles: http://puppet-compiler.wmflabs.org/12270/mw1269.eqiad.wmnet/

planning to deploy tomorrow earlier in the US day unless somebody in Europe does it first

Change 455369 merged by Dzahn:
[operations/puppet@production] Add fixcopyright.wikimedia.org

https://gerrit.wikimedia.org/r/455369

Mentioned in SAL (#wikimedia-operations) [2018-08-29T18:08:46Z] <mutante> new apache config in sites-available for new site fixcopyright.wm is being generated by puppet on cluster, but not enabled yet (T202819)

Change 456192 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] beta: add fixcopyright.wm to Apache sites/wikimedia.conf

https://gerrit.wikimedia.org/r/456192

Change 456194 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] apache/mediawiki: include new "other wiki" fixcopyright in cluster config

https://gerrit.wikimedia.org/r/456194

Change 456194 merged by Dzahn:
[operations/puppet@production] apache/mediawiki: include new "other wiki" fixcopyright in cluster config

https://gerrit.wikimedia.org/r/456194

Mentioned in SAL (#wikimedia-operations) [2018-08-29T18:55:01Z] <mutante> puppet deploy of new cluster apache site inclusion for fixcopyright.wm, tested on mwdebug100*,mw1269, apache-fast-test (T202819) (gerrit:456194)

Dzahn added a comment.Aug 29 2018, 7:03 PM

After the changes above cluster Apache config has been deployed just now, puppet might still be running on some hosts.

This should have unblocked running the actual wiki creation script though i am not sure about database creation first.

It would be great to have this task closed before the DC switch that is planned for Tuesday, September 11th.

The site has to go live by the end of this week, so the DC switch shouldn't be a problem. Are there any showstoppers to getting it live this week? Thanks!

Reedy added a comment.Aug 29 2018, 9:20 PM

It would be great to have this task closed before the DC switch that is planned for Tuesday, September 11th.

Why?

The site has to go live by the end of this week, so the DC switch shouldn't be a problem. Are there any showstoppers to getting it live this week? Thanks!

Not really. I’ll probably do it tomorrow as the Apache changes were sorted today by Daniel

It would be great to have this task closed before the DC switch that is planned for Tuesday, September 11th.

Why?

From https://lists.wikimedia.org/pipermail/wikitech-l/2018-August/090751.html :

For the duration of the switchover (1 month), deployers are kindly
requested to refrain from large db schema changes and avoid deploying
any kind of new feature that requires creation of tables.

As I understand creating a new wiki is not a good idea during this period.

Change 455723 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for fixcopyrightwiki

https://gerrit.wikimedia.org/r/455723

Change 456375 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Add fixcopyrightwiki to wikiversion.json

https://gerrit.wikimedia.org/r/456375

Change 456375 merged by jenkins-bot:
[operations/mediawiki-config@master] Add fixcopyrightwiki to wikiversion.json

https://gerrit.wikimedia.org/r/456375

Urbanecm assigned this task to Reedy.Aug 30 2018, 12:02 PM

Change 456377 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add fixcopyrightwiki to RestBase

https://gerrit.wikimedia.org/r/456377

Change 455033 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/455033

Wiki is created, some minor followup work to be done (parsoid, restbase etc)

Depending on who actually needs accounts... They can be created by createAndPromote.php, or one can, and they can create accounts for other people

Thank you all! If you could please create an account for me, I can create any additional accounts as needed. What interface is used to add accounts on wiki?

It's just the standard account creation form, only difference being you
can't use it while logged out.

Change 455033 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Update sitematrix.json

https://gerrit.wikimedia.org/r/455033

Reedy added a comment.Aug 30 2018, 5:13 PM

Thank you all! If you could please create an account for me, I can create any additional accounts as needed. What interface is used to add accounts on wiki?

What username would you like?

What interface is used to add accounts on wiki?

The Special:CreateAccount page when you'll be logged in with the account that will be manually created by system administrators.

Reedy closed this task as Resolved.Aug 30 2018, 7:20 PM

Change 456192 abandoned by Dzahn:
beta: add fixcopyright.wm to Apache sites/wikimedia.conf

Reason:
sounds like not since the entire setup seems quite different from production

https://gerrit.wikimedia.org/r/456192

Change 456377 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Add fixcopyrightwiki to RestBase

https://gerrit.wikimedia.org/r/456377

sbassett moved this task from Backlog to Done on the Security-Team board.Jun 11 2019, 6:30 PM